From: "Michael Weber" <xmw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/qlcplus/
Date: Sun, 15 Jan 2017 10:05:47 +0000 (UTC) [thread overview]
Message-ID: <1484474739.7c33bdfd2425a4aa26c0f3d06fe1563b694d84b0.xmw@gentoo> (raw)
commit: 7c33bdfd2425a4aa26c0f3d06fe1563b694d84b0
Author: Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 15 10:05:20 2017 +0000
Commit: Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Sun Jan 15 10:05:39 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c33bdfd
app-misc/qlcplus: Version bump.
Package-Manager: portage-2.2.28
app-misc/qlcplus/Manifest | 1 +
app-misc/qlcplus/qlcplus-4.10.5b.ebuild | 61 +++++++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/app-misc/qlcplus/Manifest b/app-misc/qlcplus/Manifest
index 073eab6..1878e65 100644
--- a/app-misc/qlcplus/Manifest
+++ b/app-misc/qlcplus/Manifest
@@ -1,2 +1,3 @@
+DIST qlcplus-4.10.5b.tar.gz 8959726 SHA256 92b024806dab223f337cc0690d21549612e539377868bee9450075eca74eef37 SHA512 c989764d52fc60af8d98c3a65ef7e6ba5cd823e5d487a2153dffc9a00f5e176666ced5c0f771b04a35957bee3de84ca927326c45764a34d9bf3c8886dede9d2f WHIRLPOOL 721021fbe6f29deaa7b08ec7717691612f4e39e84da2058cbb4bb3198bc9eb533c93e53e4345407ca0ffdd0d8e897fb91ff5aa524ce966578c3e69e9f000cd60
DIST qlcplus_4.10.4.tar.gz 9391198 SHA256 14b75aecee2c63bb3d36868c946b2e7f435827ae1f4ef24c898c52f996d91c4e SHA512 2e087a9a0ec9ed508914e60c6bc1fdb65103831b9a0af91377c8aa759e1217819db157e8f54fb2ccf5538563c4f749b24975b9879bc3453b6101808b709acb94 WHIRLPOOL aae84cebd31cd4926d508655c8f6a86fdd8bd5d6b6c5ae8b94aa026c7c40815354969e94291c3dcc184ef575a2c170e802126842fc79756342d40292ae3005cd
DIST qlcplus_4.10.5.tar.gz 9166762 SHA256 f1b5bdef479a96a0d1f6f0ecfe6bd4e575b729241198162379b62e14a0226950 SHA512 aebc2606603da415a2b5bedcac13a5fd579b348ad9790a63d0c5c9f41f5973351dc5fdbe17a9bec45c237e703892963c407eb1e84389f738193abbfbc095ec53 WHIRLPOOL 990fb2560ea89fa44ebc9614d821bc339eed1b6fd801dfc571eda83d82f50c50204200699138045dbf274708a3689726133db2bbb06b35799249d6456acf905c
diff --git a/app-misc/qlcplus/qlcplus-4.10.5b.ebuild b/app-misc/qlcplus/qlcplus-4.10.5b.ebuild
new file mode 100644
index 00000000..078324f
--- /dev/null
+++ b/app-misc/qlcplus/qlcplus-4.10.5b.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit qmake-utils qt4-r2 eutils virtualx vcs-snapshot udev
+
+DESCRIPTION="QLC+ - Q Light Controller Plus to control DMX interfaces"
+HOMEPAGE="http://www.qlcplus.org/"
+SRC_URI="https://github.com/mcallegari/${PN}/archive/QLC+_${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="qt4 qt5"
+
+REQUIRED_USE="^^ ( qt4 qt5 )"
+
+RDEPEND="dev-libs/glib:2
+ virtual/libusb:0
+ virtual/libusb:1
+ media-libs/alsa-lib
+ media-libs/libmad
+ media-libs/libsndfile
+ sci-libs/fftw:3.0
+ virtual/udev
+ || ( dev-embedded/libftdi:1 dev-embedded/libftdi:0 )
+ qt4? ( dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtscript:4
+ dev-qt/qttest:4 )
+ qt5? ( dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtnetwork:5
+ dev-qt/qtscript:5
+ dev-qt/qttest:5
+ dev-qt/qtwidgets:5 )"
+
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ sed -e "s:/etc/udev/rules.d:${EROOT}lib/udev/rules.d:" -i \
+ plugins/hid/hid.pro \
+ plugins/udmx/src/src.pro \
+ plugins/dmxusb/src/src.pro \
+ plugins/spi/spi.pro \
+ plugins/peperoni/unix/unix.pro || die
+ sed -e "/UDEVRULESDIR/s:/etc/udev/rules.d:$(get_udevdir)/rules.d:" \
+ -i variables.pri || die
+}
+
+src_configure() {
+ use qt5 && eqmake5
+ use qt4 && eqmake4
+}
+
+src_test() {
+ Xemake check
+}
next reply other threads:[~2017-01-15 10:05 UTC|newest]
Thread overview: 38+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-01-15 10:05 Michael Weber [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-31 11:27 [gentoo-commits] repo/gentoo:master commit in: app-misc/qlcplus/ Andreas Sturmlechner
2024-07-04 13:43 Joonas Niilola
2024-07-04 13:43 Joonas Niilola
2024-01-17 6:02 Sam James
2024-01-16 11:53 Andreas Sturmlechner
2024-01-16 11:53 Andreas Sturmlechner
2023-10-21 21:04 Andreas Sturmlechner
2023-10-21 21:04 Andreas Sturmlechner
2023-10-21 21:04 Andreas Sturmlechner
2023-10-11 10:05 Viorel Munteanu
2022-09-27 12:31 Joonas Niilola
2022-09-11 22:25 Sam James
2022-08-04 6:37 Joonas Niilola
2022-08-04 6:37 Joonas Niilola
2022-08-04 6:37 Joonas Niilola
2022-08-04 6:37 Joonas Niilola
2021-07-14 6:25 Joonas Niilola
2021-04-23 5:57 Joonas Niilola
2020-09-07 15:43 Joonas Niilola
2019-12-08 7:41 Joonas Niilola
2019-12-07 19:38 Joonas Niilola
2019-12-07 19:38 Joonas Niilola
2019-12-07 19:38 Joonas Niilola
2018-10-27 15:57 Andreas Sturmlechner
2017-12-18 8:46 Michael Weber
2017-12-11 7:59 Michael Weber
2017-09-29 5:37 Michael Weber
2017-09-17 16:18 Andreas Sturmlechner
2017-09-17 16:18 Andreas Sturmlechner
2017-02-07 8:11 Michael Weber
2016-12-14 16:50 Michael Weber
2016-12-14 16:50 Michael Weber
2016-06-10 23:24 Michael Weber
2016-03-19 21:41 Patrice Clement
2016-02-29 16:19 Michael Palimaka
2016-02-20 20:56 Michael Weber
2016-02-20 12:45 Michael Weber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1484474739.7c33bdfd2425a4aa26c0f3d06fe1563b694d84b0.xmw@gentoo \
--to=xmw@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox